Bug 200389 - Lock recursion deadlock detected in 2.6.17-1.2157_FC5smp
Lock recursion deadlock detected in 2.6.17-1.2157_FC5smp
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-27 08:59 EDT by Pablo Pérez González
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-05 08:35:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Messages in /var/log/messages (32.41 KB, text/plain)
2006-07-27 08:59 EDT, Pablo Pérez González
no flags Details

  None (edit)
Description Pablo Pérez González 2006-07-27 08:59:22 EDT
Description of problem:
This problem appeared while running rsync with a remote machine for four days.

Kernel error messages were outputted to all opened terminals. After this, the
partition (a hardware RAID 0 partition with 3 size 400 Gb, partitioned with lvm
in a single volume of 1.1 Tb size)  where the rsync was running froze.

The computer is a dual processor machine (2 Intel Xeon processors at 3.4 GHz),
with 4 Gb of RAM.

Version-Release number of selected component (if applicable):
kernel-smp-2.6.17-1.2157_FC5

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
The kernel logs reported this:

[ BUG: lock recursion deadlock detected! |
(skipped messages)
[ turning off deadlock detection. Please report this. ]

The complete logs are attached
Comment 1 Pablo Pérez González 2006-07-27 08:59:22 EDT
Created attachment 133146 [details]
Messages in /var/log/messages
Comment 2 Dave Jones 2006-10-16 17:40:01 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 3 Dave Jones 2006-11-24 17:12:04 EST
This bug has been mass-closed along with all other bugs that
have been in NEEDINFO state for several months.

Due to the large volume of inactive bugs in bugzilla, this
is the only method we have of cleaning out stale bug reports
where the reporter has disappeared.

If you can reproduce this bug after installing all the
current updates, please reopen this bug.

If you are not the reporter, you can add a comment requesting
it be reopened, and someone will get to it asap.

Thank you.
Comment 4 Jon Stanley 2008-02-05 08:35:10 EST
Closing since there was an error in previous mass-close and they remained in
NEEDINFO.

Note You need to log in before you can comment on or make changes to this bug.